cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Join Customer Connection to register!
4106
Views
0
Helpful
1
Replies
Seifeddine-Tlili
Beginner

Nexus 7K kickstart and IOS upgrade !

greeting all

I`m in the process of setting up a vPC peer link between two nexus 7K same chassis (7010) and i`m using a 100/1000 RJ 45 module for the vpc peering but it seems that my hardware version (1.2) is a bit old to support the vpc implementation

I tried to upgrade the kickstart and the ios image and i keep getting this message

Install has failed. Return code 0x40930024 (Images specified are not upgradeable).

the verison that i`m using is:

kickstart image file is: bootflash:/n7000-s1-kickstart.4.2.2a.bin
  system image file is:    bootflash:/n7000-s1-dk9.4.2.2a.bin

is there a way to upgrade the Hw version of the module (N7K-M148GS-11) to 1.3 at least and AM i missing something in order to upgrade to 5.1

the command i`m using is :

install all kickstart bootflash:n7000-s1-kickstart.5.0.5.bin kickstart bootflash:n7000-s1-kickstart.5.0.5.bin system bootflash:n7000-s1-dk9.5.1.1a.bin

Any helps will be much apprecite it

thanks

1 REPLY 1
Jennifer Yeung
Cisco Employee

Hi Seifeddine,

1) You must use N7K-M132XP-12 for the vpc peer-link.  Here is the reference URL:

http://www.cisco.com/en/US/docs/switches/datacenter/sw/4_2/nx-os/interfaces/configuration/guide/if_vPC.pdf

-look under "vPC Peer Links"


"You can configure a vPC peer link to configure two devices as vPCs peers. You must use the N7K-M132XP-12 module in order to configure a vPC peer link."

2) If you have N7K-M148GT-11, it needs to be with hardware revision 1.3 or later to support vPC.  HW revision cannot be upgrade thru software.  You need to open a TAC Service Request to get the module replaced.

3) When doing code upgrade, both kickstart and system image must be compatible.  If the kickstart and system image are not compatible, ISSU will fail.  To make it simple, I would just upgrade both kickstart and system image to the same version.  For example, if I want to upgrade a N7K to 5.1(1) with ISSU, the CLI will be similar as follow:

install all kickstart bootflash:n7000-s1-kickstart.5.1.1.bin system bootflash:n7000-s1-dk9.5.1.1.bin

Here is a reference URL:

http://www.cisco.com/en/US/docs/switches/datacenter/sw/5_x/nx-os/upgrade/guide/Cisco_Nexus_7000_Series_NX-OS_Software_Upgrade_and_Downgrade_Guide__Release_5.x_chapter1.pdf

Hope it helps.

Regards,
Jennifer